// ExListBoxView.h : interface of the CExListBoxView class
//


#pragma once
#include "afxwin.h"


class CExListBoxView : public CFormView
{
protected: // create from serialization only
	CExListBoxView();
	DECLARE_DYNCREATE(CExListBoxView)

public:
	enum{ IDD = IDD_EXLISTBOX_FORM };
	CListBox    m_ctrlList;
	CString		m_strElement;

// Attributes
public:
	CExListBoxDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CExListBoxView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	BOOL FindString(int& nSel, POSITION& pos);

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonAdd();
	afx_msg void OnBnClickedButtonModify();
	afx_msg void OnBnClickedButtonDel();
	afx_msg void OnBnClickedButtonDelall();
	afx_msg void OnLbnSelchangeList();
};

#ifndef _DEBUG  // debug version in ExListBoxView.cpp
inline CExListBoxDoc* CExListBoxView::GetDocument() const
   { return reinterpret_cast<CExListBoxDoc*>(m_pDocument); }
#endif

